-#!/bin/bash
+#!/bin/bash -i
#
# $Id$
#
+# usize: Set urxvt (or terminal which understands the same escape sequences)
+# size.
+# Usage: usize <width> [<height>]
+#
+
+width=$COLUMNS
+height=$LINES
+
+case $# in
+ 0)
+ echo "Usage: usize $width $height"
+ exit 1
+ ;;
+ 1) width=$1;;
+ 2) width=$1; height=$2;;
+esac
-if [ $# -lt 2 ]; then
- echo "Usage: usize <width> <height>"
- exit 1
-fi
-echo -e "\e[8;$2;$1;t"
+echo -e "\033[8;$height;$width;t"
+exit 0